Manifest-Version: 1.0
Bnd-LastModified: 1737727513918
Bundle-ClassPath: .,lib/json-path-2.2.0.jar,lib/accessors-smart-2.4.2.
 jar,lib/json-smart-2.4.10.jar,lib/xmlbeans-3.1.0.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Dynamic Data Mapping Service
Bundle-SymbolicName: com.liferay.dynamic.data.mapping.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.1.4.hotfix-6424-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.dynamic.data.mapping.service.http;version=
 "2.1.0.hotfix-6424-7413";uses:="com.liferay.dynamic.data.mapping.mode
 l,com.liferay.dynamic.data.mapping.storage,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.auth,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.util"
Import-Package: com.sun.javadoc;resolution:=optional,com.sun.tools.jav
 adoc;resolution:=optional,net.sf.saxon;resolution:=optional,net.sf.sa
 xon.dom;resolution:=optional,net.sf.saxon.om;resolution:=optional,net
 .sf.saxon.query;resolution:=optional,net.sf.saxon.sxpath;resolution:=
 optional,net.sf.saxon.value;resolution:=optional,com.liferay.asset.ke
 rnel.model;version="10.0",com.liferay.asset.kernel.service;version="8
 .2",com.liferay.change.tracking.spi.reference;version="1.0",com.lifer
 ay.change.tracking.spi.reference.builder;version="1.0",com.liferay.co
 unter.kernel.service;version="2.2",com.liferay.data.engine.model;vers
 ion="2.1",com.liferay.data.engine.service;version="1.12",com.liferay.
 depot.group.provider;version="1.0",com.liferay.document.library.kerne
 l.exception;version="4.2",com.liferay.document.library.kernel.model;v
 ersion="8.2",com.liferay.document.library.kernel.service;version="11.
 3",com.liferay.document.library.kernel.store;version="6.0",com.lifera
 y.document.library.kernel.util;version="8.0",com.liferay.document.lib
 rary.util;version="1.2",com.liferay.dynamic.data.mapping.configuratio
 n;version="1.2",com.liferay.dynamic.data.mapping.constants;version="3
 .0",com.liferay.dynamic.data.mapping.data.provider.configuration;vers
 ion="1.1",com.liferay.dynamic.data.mapping.data.provider.settings;ver
 sion="1.0",com.liferay.dynamic.data.mapping.exception;version="2.7",c
 om.liferay.dynamic.data.mapping.form.field.type;version="3.0",com.lif
 eray.dynamic.data.mapping.form.page.change;version="2.0",com.liferay.
 dynamic.data.mapping.info.display.field;version="2.0",com.liferay.dyn
 amic.data.mapping.info.field.converter;version="1.0",com.liferay.dyna
 mic.data.mapping.info.item.provider;version="2.0",com.liferay.dynamic
 .data.mapping.io;version="3.0",com.liferay.dynamic.data.mapping.io.ex
 porter;version="4.0",com.liferay.dynamic.data.mapping.kernel;version=
 "5.0",com.liferay.dynamic.data.mapping.model;version="7.1",com.lifera
 y.dynamic.data.mapping.render;version="3.0",com.liferay.dynamic.data.
 mapping.report;version="2.0",com.liferay.dynamic.data.mapping.securit
 y.permission;version="1.0",com.liferay.dynamic.data.mapping.service;v
 ersion="4.0",com.liferay.dynamic.data.mapping.service.persistence;ver
 sion="4.0",com.liferay.dynamic.data.mapping.storage;version="2.1",com
 .liferay.dynamic.data.mapping.storage.constants;version="1.2",com.lif
 eray.dynamic.data.mapping.template;version="1.1",com.liferay.dynamic.
 data.mapping.util;version="8.0",com.liferay.dynamic.data.mapping.util
 .comparator;version="2.2",com.liferay.dynamic.data.mapping.validator;
 version="1.7",com.liferay.dynamic.data.mapping.webdav;version="1.0",c
 om.liferay.expando.kernel.model;version="6.0",com.liferay.expando.ker
 nel.service;version="1.10",com.liferay.expando.kernel.util;version="4
 .0",com.liferay.exportimport.content.processor;version="1.0",com.life
 ray.exportimport.data.handler.base;version="1.0",com.liferay.exportim
 port.kernel.lar;version="4.4",com.liferay.exportimport.kernel.staging
 .permission;version="1.0",com.liferay.exportimport.kernel.xstream;ver
 sion="2.0",com.liferay.exportimport.staged.model.repository;version="
 1.1",com.liferay.info.field;version="4.1",com.liferay.info.item;versi
 on="6.0",com.liferay.info.localized;version="2.0",com.liferay.info.ty
 pe;version="2.0",com.liferay.journal.exception;version="4.0",com.life
 ray.journal.model;version="14.2",com.liferay.journal.service;version=
 "14.3",com.liferay.mail.kernel.model;version="1.1",com.liferay.mail.k
 ernel.service;version="5.0",com.liferay.osgi.service.tracker.collecti
 ons;version="2.0",com.liferay.osgi.service.tracker.collections.map;ve
 rsion="2.3",com.liferay.osgi.util.service;version="3.1",com.liferay.p
 etra.concurrent;version="2.1",com.liferay.petra.executor;version="1.0
 ",com.liferay.petra.function;version="1.5",com.liferay.petra.function
 .transform;version="1.2",com.liferay.petra.io.unsync;version="1.0",co
 m.liferay.petra.lang;version="1.3",com.liferay.petra.sql.dsl;version=
 "1.2",com.liferay.petra.sql.dsl.base;version="1.0",com.liferay.petra.
 sql.dsl.expression;version="1.4",com.liferay.petra.sql.dsl.query;vers
 ion="2.0",com.liferay.petra.sql.dsl.query.sort;version="1.0",com.life
 ray.petra.string;version="1.7",com.liferay.portal.aop;version="1.0",c
 om.liferay.portal.configuration.metatype.bnd.util;version="3.0",com.l
 iferay.portal.dao.orm.custom.sql;version="1.1",com.liferay.portal.ins
 tance.lifecycle;version="3.0",com.liferay.portal.kernel.bean;version=
 "10.1",com.liferay.portal.kernel.change.tracking;version="2.2",com.li
 feray.portal.kernel.configuration;version="7.0",com.liferay.portal.ke
 rnel.dao.db;version="12.1",com.liferay.portal.kernel.dao.jdbc;version
 ="9.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.liferay.p
 ortal.kernel.editor;version="8.0",com.liferay.portal.kernel.exception
 ;version="13.1",com.liferay.portal.kernel.feature.flag;version="1.0",
 com.liferay.portal.kernel.io.unsync;version="8.0",com.liferay.portal.
 kernel.json;version="12.1",com.liferay.portal.kernel.language;version
 ="11.0",com.liferay.portal.kernel.log;version="8.0",com.liferay.porta
 l.kernel.messaging;version="15.0",com.liferay.portal.kernel.model;ver
 sion="30.0",com.liferay.portal.kernel.model.change.tracking;version="
 3.0",com.liferay.portal.kernel.model.impl;version="7.2",com.liferay.p
 ortal.kernel.module.configuration;version="2.1",com.liferay.portal.ke
 rnel.module.framework.service;version="1.0",com.liferay.portal.kernel
 .portlet;version="24.1",com.liferay.portal.kernel.repository.model;ve
 rsion="11.2",com.liferay.portal.kernel.resource.bundle;version="1.0",
 com.liferay.portal.kernel.sanitizer;version="8.0",com.liferay.portal.
 kernel.search;version="20.1",com.liferay.portal.kernel.search.filter;
 version="1.0",com.liferay.portal.kernel.search.generic;version="3.0",
 com.liferay.portal.kernel.security.auth;version="6.0",com.liferay.por
 tal.kernel.security.permission;version="6.5",com.liferay.portal.kerne
 l.security.permission.resource;version="2.2",com.liferay.portal.kerne
 l.service;version="23.1",com.liferay.portal.kernel.service.change.tra
 cking;version="1.0",com.liferay.portal.kernel.service.http;version="1
 .0",com.liferay.portal.kernel.service.permission;version="5.0",com.li
 feray.portal.kernel.service.persistence;version="21.1",com.liferay.po
 rtal.kernel.service.persistence.change.tracking;version="1.4",com.lif
 eray.portal.kernel.service.persistence.change.tracking.helper;version
 ="1.1",com.liferay.portal.kernel.service.persistence.impl;version="4.
 1",com.liferay.portal.kernel.settings;version="4.0",com.liferay.porta
 l.kernel.settings.definition;version="2.0",com.liferay.portal.kernel.
 systemevent;version="6.2",com.liferay.portal.kernel.template;version=
 "15.0",com.liferay.portal.kernel.theme;version="10.5",com.liferay.por
 tal.kernel.transaction;version="8.1",com.liferay.portal.kernel.upgrad
 e;version="21.0",com.liferay.portal.kernel.upgrade.util;version="11.0
 ",com.liferay.portal.kernel.upload;version="10.0",com.liferay.portal.
 kernel.util;version="60.0",com.liferay.portal.kernel.uuid;version="6.
 2",com.liferay.portal.kernel.webdav;version="10.0",com.liferay.portal
 .kernel.webserver;version="1.0",com.liferay.portal.kernel.workflow;ve
 rsion="18.2",com.liferay.portal.kernel.xml;version="7.1",com.liferay.
 portal.language,com.liferay.portal.search.batch;version="2.0",com.lif
 eray.portal.search.engine;version="3.1",com.liferay.portal.search.ind
 exer;version="2.1",com.liferay.portal.search.permission;version="3.0"
 ,com.liferay.portal.search.query;version="1.7",com.liferay.portal.sea
 rch.sort;version="2.0",com.liferay.portal.search.spi.model.index.cont
 ributor;version="1.2",com.liferay.portal.search.spi.model.index.contr
 ibutor.helper;version="1.0",com.liferay.portal.search.spi.model.query
 .contributor;version="1.1",com.liferay.portal.search.spi.model.query.
 contributor.helper;version="2.0",com.liferay.portal.search.spi.model.
 registrar;version="2.0",com.liferay.portal.search.spi.model.registrar
 .contributor;version="1.0",com.liferay.portal.search.spi.model.result
 .contributor;version="1.1",com.liferay.portal.template;version="11.0"
 ,com.liferay.portal.template.engine;version="1.1",com.liferay.portal.
 upgrade.registry;version="5.0",com.liferay.portal.upgrade.v7_0_0;vers
 ion="7.0",com.liferay.portal.util;version="49.0",com.liferay.portal.v
 erify,com.liferay.portal.workflow.kaleo.model;version="5.3",com.lifer
 ay.portal.workflow.kaleo.service;version="9.2",com.liferay.portal.xml
 ;version="1.3",com.liferay.staging.model.listener;version="1.0",com.l
 iferay.view.count.service;version="1.7",com.liferay.xstream.configura
 tor;version="2.0",javax.mail.internet;version="1.6",javax.portlet,jav
 ax.servlet,javax.servlet.http,javax.sql,javax.xml.namespace,javax.xml
 .parsers,javax.xml.stream,javax.xml.stream.util,javax.xml.transform,j
 avax.xml.transform.dom,org.apache.poi.hssf.usermodel,org.apache.poi.s
 s.usermodel,org.json,org.objectweb.asm,org.osgi.framework;version="1.
 8",org.osgi.util.tracker;version="1.5",org.slf4j,org.w3c.dom,org.xml.
 sax,org.xml.sax.ext,org.xml.sax.helpers
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Dynamic Data Mapping
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 5.3.1
Liferay-Service: true
Private-Package: com.liferay.dynamic.data.mapping.internal,com.liferay
 .dynamic.data.mapping.internal.background.task,com.liferay.dynamic.da
 ta.mapping.internal.change.tracking.spi.reference,com.liferay.dynamic
 .data.mapping.internal.configuration.definition,com.liferay.dynamic.d
 ata.mapping.internal.constants,com.liferay.dynamic.data.mapping.inter
 nal.data.provider.configuration.activator,com.liferay.dynamic.data.ma
 pping.internal.exportimport.content.processor,com.liferay.dynamic.dat
 a.mapping.internal.exportimport.data.handler,com.liferay.dynamic.data
 .mapping.internal.exportimport.staged.model.repository,com.liferay.dy
 namic.data.mapping.internal.form.page.change,com.liferay.dynamic.data
 .mapping.internal.info.display.field,com.liferay.dynamic.data.mapping
 .internal.info.item.provider,com.liferay.dynamic.data.mapping.interna
 l.instance.lifecycle,com.liferay.dynamic.data.mapping.internal.io,com
 .liferay.dynamic.data.mapping.internal.io.exporter,com.liferay.dynami
 c.data.mapping.internal.io.util,com.liferay.dynamic.data.mapping.inte
 rnal.messaging,com.liferay.dynamic.data.mapping.internal.model.listen
 er,com.liferay.dynamic.data.mapping.internal.notification,com.liferay
 .dynamic.data.mapping.internal.petra.executor,com.liferay.dynamic.dat
 a.mapping.internal.render,com.liferay.dynamic.data.mapping.internal.r
 eport,com.liferay.dynamic.data.mapping.internal.search,com.liferay.dy
 namic.data.mapping.internal.search.helper,com.liferay.dynamic.data.ma
 pping.internal.search.permission,com.liferay.dynamic.data.mapping.int
 ernal.search.spi.model.index.contributor,com.liferay.dynamic.data.map
 ping.internal.search.spi.model.query.contributor,com.liferay.dynamic.
 data.mapping.internal.search.spi.model.result.contributor,com.liferay
 .dynamic.data.mapping.internal.security.permission,com.liferay.dynami
 c.data.mapping.internal.security.permission.resource,com.liferay.dyna
 mic.data.mapping.internal.security.permission.support,com.liferay.dyn
 amic.data.mapping.internal.security.permission.support.helper,com.lif
 eray.dynamic.data.mapping.internal.storage,com.liferay.dynamic.data.m
 apping.internal.template,com.liferay.dynamic.data.mapping.internal.up
 grade.registry,com.liferay.dynamic.data.mapping.internal.upgrade.v1_0
 _0,com.liferay.dynamic.data.mapping.internal.upgrade.v1_0_0.dependenc
 ies,com.liferay.dynamic.data.mapping.internal.upgrade.v1_0_1,com.life
 ray.dynamic.data.mapping.internal.upgrade.v1_0_3,com.liferay.dynamic.
 data.mapping.internal.upgrade.v1_1_0,com.liferay.dynamic.data.mapping
 .internal.upgrade.v1_1_1,com.liferay.dynamic.data.mapping.internal.up
 grade.v1_1_2,com.liferay.dynamic.data.mapping.internal.upgrade.v1_1_3
 ,com.liferay.dynamic.data.mapping.internal.upgrade.v1_2_0,com.liferay
 .dynamic.data.mapping.internal.upgrade.v1_2_0.dependencies,com.lifera
 y.dynamic.data.mapping.internal.upgrade.v2_0_0,com.liferay.dynamic.da
 ta.mapping.internal.upgrade.v2_0_1,com.liferay.dynamic.data.mapping.i
 nternal.upgrade.v2_0_2,com.liferay.dynamic.data.mapping.internal.upgr
 ade.v2_0_3,com.liferay.dynamic.data.mapping.internal.upgrade.v2_0_4,c
 om.liferay.dynamic.data.mapping.internal.upgrade.v2_0_5,com.liferay.d
 ynamic.data.mapping.internal.upgrade.v2_0_6,com.liferay.dynamic.data.
 mapping.internal.upgrade.v3_0_0.util,com.liferay.dynamic.data.mapping
 .internal.upgrade.v3_10_2,com.liferay.dynamic.data.mapping.internal.u
 pgrade.v3_10_2.util,com.liferay.dynamic.data.mapping.internal.upgrade
 .v3_1_0,com.liferay.dynamic.data.mapping.internal.upgrade.v3_1_0.depe
 ndencies,com.liferay.dynamic.data.mapping.internal.upgrade.v3_1_1,com
 .liferay.dynamic.data.mapping.internal.upgrade.v3_2_2,com.liferay.dyn
 amic.data.mapping.internal.upgrade.v3_2_3,com.liferay.dynamic.data.ma
 pping.internal.upgrade.v3_2_4,com.liferay.dynamic.data.mapping.intern
 al.upgrade.v3_5_0.util,com.liferay.dynamic.data.mapping.internal.upgr
 ade.v3_7_0,com.liferay.dynamic.data.mapping.internal.upgrade.v3_7_1,c
 om.liferay.dynamic.data.mapping.internal.upgrade.v3_7_3,com.liferay.d
 ynamic.data.mapping.internal.upgrade.v3_7_4,com.liferay.dynamic.data.
 mapping.internal.upgrade.v3_8_0,com.liferay.dynamic.data.mapping.inte
 rnal.upgrade.v3_8_1,com.liferay.dynamic.data.mapping.internal.upgrade
 .v3_9_0,com.liferay.dynamic.data.mapping.internal.upgrade.v3_9_1,com.
 liferay.dynamic.data.mapping.internal.upgrade.v4_0_0,com.liferay.dyna
 mic.data.mapping.internal.upgrade.v4_1_0,com.liferay.dynamic.data.map
 ping.internal.upgrade.v4_1_0.dependencies,com.liferay.dynamic.data.ma
 pping.internal.upgrade.v4_3_0,com.liferay.dynamic.data.mapping.intern
 al.upgrade.v4_3_1,com.liferay.dynamic.data.mapping.internal.upgrade.v
 4_3_2,com.liferay.dynamic.data.mapping.internal.upgrade.v4_3_3,com.li
 feray.dynamic.data.mapping.internal.upgrade.v4_3_4,com.liferay.dynami
 c.data.mapping.internal.upgrade.v4_3_5,com.liferay.dynamic.data.mappi
 ng.internal.upgrade.v5_0_0,com.liferay.dynamic.data.mapping.internal.
 upgrade.v5_1_0,com.liferay.dynamic.data.mapping.internal.upgrade.v5_1
 _1,com.liferay.dynamic.data.mapping.internal.upgrade.v5_1_2,com.lifer
 ay.dynamic.data.mapping.internal.upgrade.v5_1_4,com.liferay.dynamic.d
 ata.mapping.internal.upgrade.v5_1_5,com.liferay.dynamic.data.mapping.
 internal.upgrade.v5_2_0,com.liferay.dynamic.data.mapping.internal.upg
 rade.v5_2_1,com.liferay.dynamic.data.mapping.internal.upgrade.v5_2_2,
 com.liferay.dynamic.data.mapping.internal.upgrade.v5_3_0,com.liferay.
 dynamic.data.mapping.internal.upgrade.v5_3_1,com.liferay.dynamic.data
 .mapping.internal.util,com.liferay.dynamic.data.mapping.internal.webd
 av,com.liferay.dynamic.data.mapping.internal.workflow,com.liferay.dyn
 amic.data.mapping.internal.xstream.configurator,com.liferay.dynamic.d
 ata.mapping.model.impl,com.liferay.dynamic.data.mapping.service.base,
 com.liferay.dynamic.data.mapping.service.dependencies.alloy,com.lifer
 ay.dynamic.data.mapping.service.dependencies.ddm,com.liferay.dynamic.
 data.mapping.service.dependencies,com.liferay.dynamic.data.mapping.se
 rvice.dependencies.readonly,com.liferay.dynamic.data.mapping.service.
 impl,com.liferay.dynamic.data.mapping.service.persistence.impl,com.li
 feray.dynamic.data.mapping.service.persistence.impl.constants,com.lif
 eray.dynamic.data.mapping.verify,lib,resource-actions,com.jayway.json
 path,com.jayway.jsonpath.internal,com.jayway.jsonpath.internal.filter
 ,com.jayway.jsonpath.internal.function,com.jayway.jsonpath.internal.f
 unction.json,com.jayway.jsonpath.internal.function.numeric,com.jayway
 .jsonpath.internal.function.text,com.jayway.jsonpath.internal.path,co
 m.jayway.jsonpath.spi.cache,com.jayway.jsonpath.spi.json,com.jayway.j
 sonpath.spi.mapper,net.minidev.asm,net.minidev.asm.ex,net.minidev.jso
 n,net.minidev.json.annotate,net.minidev.json.parser,net.minidev.json.
 reader,net.minidev.json.writer,org.apache.xmlbeans,org.apache.xmlbean
 s.impl.common,org.apache.xmlbeans.impl.config,org.apache.xmlbeans.imp
 l.inst2xsd,org.apache.xmlbeans.impl.inst2xsd.util,org.apache.xmlbeans
 .impl.jam,org.apache.xmlbeans.impl.jam.annotation,org.apache.xmlbeans
 .impl.jam.internal,org.apache.xmlbeans.impl.jam.internal.classrefs,or
 g.apache.xmlbeans.impl.jam.internal.elements,org.apache.xmlbeans.impl
 .jam.internal.javadoc,org.apache.xmlbeans.impl.jam.internal.parser,or
 g.apache.xmlbeans.impl.jam.internal.reflect,org.apache.xmlbeans.impl.
 jam.mutable,org.apache.xmlbeans.impl.jam.provider,org.apache.xmlbeans
 .impl.jam.visitor,org.apache.xmlbeans.impl.jam.xml,org.apache.xmlbean
 s.impl.regex,org.apache.xmlbeans.impl.repackage,org.apache.xmlbeans.i
 mpl.richParser,org.apache.xmlbeans.impl.schema,org.apache.xmlbeans.im
 pl.soap,org.apache.xmlbeans.impl.store,org.apache.xmlbeans.impl.tool,
 org.apache.xmlbeans.impl.util,org.apache.xmlbeans.impl.validator,org.
 apache.xmlbeans.impl.values,org.apache.xmlbeans.impl.xb.ltgfmt,org.ap
 ache.xmlbeans.impl.xb.ltgfmt.impl,org.apache.xmlbeans.impl.xb.substws
 dl,org.apache.xmlbeans.impl.xb.substwsdl.impl,org.apache.xmlbeans.imp
 l.xb.xmlconfig,org.apache.xmlbeans.impl.xb.xmlconfig.impl,org.apache.
 xmlbeans.impl.xb.xmlschema,org.apache.xmlbeans.impl.xb.xmlschema.impl
 ,org.apache.xmlbeans.impl.xb.xsdownload,org.apache.xmlbeans.impl.xb.x
 sdownload.impl,org.apache.xmlbeans.impl.xb.xsdschema,org.apache.xmlbe
 ans.impl.xb.xsdschema.impl,org.apache.xmlbeans.impl.xpath.saxon,org.a
 pache.xmlbeans.impl.xpathgen,org.apache.xmlbeans.impl.xquery.saxon,or
 g.apache.xmlbeans.impl.xsd2inst,org.apache.xmlbeans.soap,org.apache.x
 mlbeans.xml.stream,org.apache.xmlbeans.xml.stream.events,org.apache.x
 mlbeans.xml.stream.utils,schemaorg_apache_xmlbeans.attribute.http_3A_
 2F_2Fwww_2Ew3_2Eorg_2FXML_2F1998_2Fnamespace,schemaorg_apache_xmlbean
 s.attributegroup.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema,schem
 aorg_apache_xmlbeans.attributegroup.http_3A_2F_2Fwww_2Ew3_2Eorg_2FXML
 _2F1998_2Fnamespace,schemaorg_apache_xmlbeans.element.URI_SHA_1_00725
 31D5C2BA64B5A3672B694CDAA153CD30788,schemaorg_apache_xmlbeans.element
 .URI_SHA_1_5AAF5BEFD4F30D215E94ED53118FE32C537C3B26,schemaorg_apache_
 xmlbeans.element.http_3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F01_2Fxmlbean_2
 Fxsdownload,schemaorg_apache_xmlbeans.element.http_3A_2F_2Fwww_2Ebea_
 2Ecom_2F2003_2F05_2Fxmlbean_2Fltgfmt,schemaorg_apache_xmlbeans.elemen
 t.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema,schemaorg_apache_xml
 beans.identityconstraint.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSche
 ma,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.ltg
 fmt,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.lt
 gfmt.FileDesc,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.
 impl.xb.ltgfmt.TestCase,schemaorg_apache_xmlbeans.javaname.org.apache
 .xmlbeans.impl.xb.ltgfmt.TestsDocument,schemaorg_apache_xmlbeans.java
 name.org.apache.xmlbeans.impl.xb.substwsdl,schemaorg_apache_xmlbeans.
 javaname.org.apache.xmlbeans.impl.xb.substwsdl.DefinitionsDocument,sc
 hemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlconfi
 g,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlc
 onfig.ConfigDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xm
 lbeans.impl.xb.xmlconfig.Extensionconfig,schemaorg_apache_xmlbeans.ja
 vaname.org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList,schemaorg_a
 pache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlconfig.Namespa
 ceList,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb
 .xmlconfig.NamespaceList.Member2,schemaorg_apache_xmlbeans.javaname.o
 rg.apache.xmlbeans.impl.xb.xmlconfig.NamespaceList.Member2.Item,schem
 aorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlschema,s
 chemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xmlsche
 ma.SpaceAttribute,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbe
 ans.impl.xb.xsdownload,schemaorg_apache_xmlbeans.javaname.org.apache.
 xmlbeans.impl.xb.xsdownload.DownloadedSchemasDocument,schemaorg_apach
 e_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema,schemaorg_a
 pache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.All,sch
 emaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema
 .AllNNI,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.x
 b.xsdschema.AnnotationDocument,schemaorg_apache_xmlbeans.javaname.org
 .apache.xmlbeans.impl.xb.xsdschema.AnyDocument,schemaorg_apache_xmlbe
 ans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.AppinfoDocument,sc
 hemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschem
 a.Attribute,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.im
 pl.xb.xsdschema.BlockSet,schemaorg_apache_xmlbeans.javaname.org.apach
 e.xmlbeans.impl.xb.xsdschema.BlockSet.Member2,schemaorg_apache_xmlbea
 ns.javaname.org.apache.xmlbeans.impl.xb.xsdschema.ComplexContentDocum
 ent,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xs
 dschema.DerivationSet,schemaorg_apache_xmlbeans.javaname.org.apache.x
 mlbeans.impl.xb.xsdschema.DocumentationDocument,schemaorg_apache_xmlb
 eans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.FieldDocument,sch
 emaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema
 .FieldDocument.Field,schemaorg_apache_xmlbeans.javaname.org.apache.xm
 lbeans.impl.xb.xsdschema.FullDerivationSet,schemaorg_apache_xmlbeans.
 javaname.org.apache.xmlbeans.impl.xb.xsdschema.ImportDocument,schemao
 rg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Inc
 ludeDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.i
 mpl.xb.xsdschema.KeyrefDocument,schemaorg_apache_xmlbeans.javaname.or
 g.apache.xmlbeans.impl.xb.xsdschema.ListDocument,schemaorg_apache_xml
 beans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup,schem
 aorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.N
 amespaceList,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.i
 mpl.xb.xsdschema.NamespaceList.Member2,schemaorg_apache_xmlbeans.java
 name.org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList.Member2.Item
 ,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdsc
 hema.NarrowMaxMin,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbe
 ans.impl.xb.xsdschema.NotationDocument,schemaorg_apache_xmlbeans.java
 name.org.apache.xmlbeans.impl.xb.xsdschema.PatternDocument,schemaorg_
 apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Redefi
 neDocument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.imp
 l.xb.xsdschema.RestrictionDocument,schemaorg_apache_xmlbeans.javaname
 .org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument,schemaorg_apach
 e_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.SelectorDoc
 ument,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.
 xsdschema.SelectorDocument.Selector,schemaorg_apache_xmlbeans.javanam
 e.org.apache.xmlbeans.impl.xb.xsdschema.SimpleContentDocument,schemao
 rg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.Sim
 pleDerivationSet,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbea
 ns.impl.xb.xsdschema.SimpleDerivationSet.Member2,schemaorg_apache_xml
 beans.javaname.org.apache.xmlbeans.impl.xb.xsdschema.TotalDigitsDocum
 ent,schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xs
 dschema.UnionDocument,schemaorg_apache_xmlbeans.javaname.org.apache.x
 mlbeans.impl.xb.xsdschema.UnionDocument.Union,schemaorg_apache_xmlbea
 ns.javaname.org.apache.xmlbeans.impl.xb.xsdschema.WhiteSpaceDocument,
 schemaorg_apache_xmlbeans.javaname.org.apache.xmlbeans.impl.xb.xsdsch
 ema.WhiteSpaceDocument.WhiteSpace,schemaorg_apache_xmlbeans.javaname.
 org.apache.xmlbeans.impl.xb.xsdschema.Wildcard,schemaorg_apache_xmlbe
 ans.modelgroup.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema,schemao
 rg_apache_xmlbeans.namespace.URI_SHA_1_0072531D5C2BA64B5A3672B694CDAA
 153CD30788,schemaorg_apache_xmlbeans.namespace.URI_SHA_1_5AAF5BEFD4F3
 0D215E94ED53118FE32C537C3B26,schemaorg_apache_xmlbeans.namespace.http
 _3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F01_2Fxmlbean_2Fxsdownload,schemaorg
 _apache_xmlbeans.namespace.http_3A_2F_2Fwww_2Ebea_2Ecom_2F2003_2F05_2
 Fxmlbean_2Fltgfmt,schemaorg_apache_xmlbeans.namespace.http_3A_2F_2Fww
 w_2Ew3_2Eorg_2F2001_2FXMLSchema,schemaorg_apache_xmlbeans.namespace.h
 ttp_3A_2F_2Fwww_2Ew3_2Eorg_2FXML_2F1998_2Fnamespace,schemaorg_apache_
 xmlbeans.src,schemaorg_apache_xmlbeans.system.sXMLCONFIG,schemaorg_ap
 ache_xmlbeans.system.sXMLLANG,schemaorg_apache_xmlbeans.system.sXMLSC
 HEMA,schemaorg_apache_xmlbeans.system.sXMLTOOLS,schemaorg_apache_xmlb
 eans.type.URI_SHA_1_0072531D5C2BA64B5A3672B694CDAA153CD30788,schemaor
 g_apache_xmlbeans.type.URI_SHA_1_5AAF5BEFD4F30D215E94ED53118FE32C537C
 3B26,schemaorg_apache_xmlbeans.type.http_3A_2F_2Fwww_2Ebea_2Ecom_2F20
 03_2F01_2Fxmlbean_2Fxsdownload,schemaorg_apache_xmlbeans.type.http_3A
 _2F_2Fwww_2Ebea_2Ecom_2F2003_2F05_2Fxmlbean_2Fltgfmt,schemaorg_apache
 _xmlbeans.type.http_3A_2F_2Fwww_2Ew3_2Eorg_2F2001_2FXMLSchema
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.spi.reference.TableReferenceDefinition";uses:="com.l
 iferay.change.tracking.spi.reference",osgi.service;objectClass:List<S
 tring>="com.liferay.dynamic.data.mapping.form.page.change.DDMFormPage
 ChangeRegistry";uses:="com.liferay.dynamic.data.mapping.form.page.cha
 nge",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.
 mapping.info.display.field.DDMFormValuesInfoDisplayFieldProvider";use
 s:="com.liferay.dynamic.data.mapping.info.display.field",osgi.service
 ;objectClass:List<String>="com.liferay.dynamic.data.mapping.info.item
 .provider.DDMFormValuesInfoFieldValuesProvider";uses:="com.liferay.dy
 namic.data.mapping.info.item.provider",osgi.service;objectClass:List<
 String>="com.liferay.dynamic.data.mapping.internal.background.task.DD
 MStructureIndexerRegistry";uses:="com.liferay.dynamic.data.mapping.in
 ternal.background.task",osgi.service;objectClass:List<String>="com.li
 feray.dynamic.data.mapping.internal.data.provider.configuration.activ
 ator.DDMDataProviderConfigurationActivator";uses:="com.liferay.dynami
 c.data.mapping.internal.data.provider.configuration.activator",osgi.s
 ervice;objectClass:List<String>="com.liferay.dynamic.data.mapping.int
 ernal.notification.DDMFormEmailNotificationSender";uses:="com.liferay
 .dynamic.data.mapping.internal.notification",osgi.service;objectClass
 :List<String>="com.liferay.dynamic.data.mapping.internal.petra.execut
 or.DDMFormInstanceReportPortalExecutor";uses:="com.liferay.dynamic.da
 ta.mapping.internal.petra.executor",osgi.service;objectClass:List<Str
 ing>="com.liferay.dynamic.data.mapping.internal.search.DDMFormInstanc
 eRecordBatchReindexer";uses:="com.liferay.dynamic.data.mapping.intern
 al.search",osgi.service;objectClass:List<String>="com.liferay.dynamic
 .data.mapping.internal.search.helper.DDMSearchHelper";uses:="com.life
 ray.dynamic.data.mapping.internal.search.helper",osgi.service;objectC
 lass:List<String>="com.liferay.dynamic.data.mapping.internal.security
 .permission.support.DDMPermissionSupportRegistry";uses:="com.liferay.
 dynamic.data.mapping.internal.security.permission.support",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.interna
 l.security.permission.support.helper.DDMPermissionSupportHelper";uses
 :="com.liferay.dynamic.data.mapping.internal.security.permission.supp
 ort.helper",osgi.service;objectClass:List<String>="com.liferay.dynami
 c.data.mapping.internal.util.ResourceBundleLoaderProvider";uses:="com
 .liferay.dynamic.data.mapping.internal.util",osgi.service;objectClass
 :List<String>="com.liferay.dynamic.data.mapping.io.DDMFormDeserialize
 r";uses:="com.liferay.dynamic.data.mapping.io",osgi.service;objectCla
 ss:List<String>="com.liferay.dynamic.data.mapping.io.DDMFormFieldType
 sSerializer";uses:="com.liferay.dynamic.data.mapping.io",osgi.service
 ;objectClass:List<String>="com.liferay.dynamic.data.mapping.io.DDMFor
 mLayoutDeserializer";uses:="com.liferay.dynamic.data.mapping.io",osgi
 .service;objectClass:List<String>="com.liferay.dynamic.data.mapping.i
 o.DDMFormLayoutSerializer";uses:="com.liferay.dynamic.data.mapping.io
 ",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.map
 ping.io.DDMFormSerializer";uses:="com.liferay.dynamic.data.mapping.io
 ",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.map
 ping.io.DDMFormValuesDeserializer";uses:="com.liferay.dynamic.data.ma
 pping.io",osgi.service;objectClass:List<String>="com.liferay.dynamic.
 data.mapping.io.DDMFormValuesDeserializerTracker";uses:="com.liferay.
 dynamic.data.mapping.io",osgi.service;objectClass:List<String>="com.l
 iferay.dynamic.data.mapping.io.DDMFormValuesSerializer";uses:="com.li
 feray.dynamic.data.mapping.io",osgi.service;objectClass:List<String>=
 "com.liferay.dynamic.data.mapping.io.exporter.DDMFormInstanceRecordEx
 porter";uses:="com.liferay.dynamic.data.mapping.io.exporter",osgi.ser
 vice;objectClass:List<String>="com.liferay.dynamic.data.mapping.io.ex
 porter.DDMFormInstanceRecordWriter";uses:="com.liferay.dynamic.data.m
 apping.io.exporter",osgi.service;objectClass:List<String>="com.lifera
 y.dynamic.data.mapping.io.exporter.DDMFormInstanceRecordWriterRegistr
 y";uses:="com.liferay.dynamic.data.mapping.io.exporter",osgi.service;
 objectClass:List<String>="com.liferay.dynamic.data.mapping.kernel.DDM
 StructureLinkManager";uses:="com.liferay.dynamic.data.mapping.kernel"
 ,osgi.service;objectClass:List<String>="com.liferay.dynamic.data.mapp
 ing.kernel.DDMStructureManager";uses:="com.liferay.dynamic.data.mappi
 ng.kernel",osgi.service;objectClass:List<String>="com.liferay.dynamic
 .data.mapping.kernel.StorageEngineManager";uses:="com.liferay.dynamic
 .data.mapping.kernel",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.render.DDMFormFieldRenderer";uses:="com.life
 ray.dynamic.data.mapping.render",osgi.service;objectClass:List<String
 >="com.liferay.dynamic.data.mapping.render.DDMFormFieldRendererRegist
 ry";uses:="com.liferay.dynamic.data.mapping.render",osgi.service;obje
 ctClass:List<String>="com.liferay.dynamic.data.mapping.render.DDMForm
 FieldValueRendererRegistry";uses:="com.liferay.dynamic.data.mapping.r
 ender",osgi.service;objectClass:List<String>="com.liferay.dynamic.dat
 a.mapping.report.DDMFormFieldTypeReportProcessor";uses:="com.liferay.
 dynamic.data.mapping.report",osgi.service;objectClass:List<String>="c
 om.liferay.dynamic.data.mapping.report.DDMFormFieldTypeReportProcesso
 rRegistry";uses:="com.liferay.dynamic.data.mapping.report",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.securit
 y.permission.DDMPermissionSupport";uses:="com.liferay.dynamic.data.ma
 pping.security.permission",osgi.service;objectClass:List<String>="com
 .liferay.dynamic.data.mapping.service.persistence.DDMContentPersisten
 ce";uses:="com.liferay.dynamic.data.mapping.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.dynamic.data.mapping.s
 ervice.persistence.DDMDataProviderInstanceFinder";uses:="com.liferay.
 dynamic.data.mapping.service.persistence",osgi.service;objectClass:Li
 st<String>="com.liferay.dynamic.data.mapping.service.persistence.DDMD
 ataProviderInstanceLinkPersistence";uses:="com.liferay.dynamic.data.m
 apping.service.persistence",osgi.service;objectClass:List<String>="co
 m.liferay.dynamic.data.mapping.service.persistence.DDMDataProviderIns
 tancePersistence";uses:="com.liferay.dynamic.data.mapping.service.per
 sistence",osgi.service;objectClass:List<String>="com.liferay.dynamic.
 data.mapping.service.persistence.DDMFieldAttributePersistence";uses:=
 "com.liferay.dynamic.data.mapping.service.persistence",osgi.service;o
 bjectClass:List<String>="com.liferay.dynamic.data.mapping.service.per
 sistence.DDMFieldPersistence";uses:="com.liferay.dynamic.data.mapping
 .service.persistence",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.service.persistence.DDMFormInstanceFinder";u
 ses:="com.liferay.dynamic.data.mapping.service.persistence",osgi.serv
 ice;objectClass:List<String>="com.liferay.dynamic.data.mapping.servic
 e.persistence.DDMFormInstancePersistence";uses:="com.liferay.dynamic.
 data.mapping.service.persistence",osgi.service;objectClass:List<Strin
 g>="com.liferay.dynamic.data.mapping.service.persistence.DDMFormInsta
 nceRecordFinder";uses:="com.liferay.dynamic.data.mapping.service.pers
 istence",osgi.service;objectClass:List<String>="com.liferay.dynamic.d
 ata.mapping.service.persistence.DDMFormInstanceRecordPersistence";use
 s:="com.liferay.dynamic.data.mapping.service.persistence",osgi.servic
 e;objectClass:List<String>="com.liferay.dynamic.data.mapping.service.
 persistence.DDMFormInstanceRecordVersionPersistence";uses:="com.lifer
 ay.dynamic.data.mapping.service.persistence",osgi.service;objectClass
 :List<String>="com.liferay.dynamic.data.mapping.service.persistence.D
 DMFormInstanceReportPersistence";uses:="com.liferay.dynamic.data.mapp
 ing.service.persistence",osgi.service;objectClass:List<String>="com.l
 iferay.dynamic.data.mapping.service.persistence.DDMFormInstanceVersio
 nPersistence";uses:="com.liferay.dynamic.data.mapping.service.persist
 ence",osgi.service;objectClass:List<String>="com.liferay.dynamic.data
 .mapping.service.persistence.DDMStorageLinkPersistence";uses:="com.li
 feray.dynamic.data.mapping.service.persistence",osgi.service;objectCl
 ass:List<String>="com.liferay.dynamic.data.mapping.service.persistenc
 e.DDMStructureLayoutPersistence";uses:="com.liferay.dynamic.data.mapp
 ing.service.persistence",osgi.service;objectClass:List<String>="com.l
 iferay.dynamic.data.mapping.service.persistence.DDMStructureLinkFinde
 r";uses:="com.liferay.dynamic.data.mapping.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.dynamic.data.mapping.se
 rvice.persistence.DDMStructureLinkPersistence";uses:="com.liferay.dyn
 amic.data.mapping.service.persistence",osgi.service;objectClass:List<
 String>="com.liferay.dynamic.data.mapping.service.persistence.DDMStru
 cturePersistence";uses:="com.liferay.dynamic.data.mapping.service.per
 sistence",osgi.service;objectClass:List<String>="com.liferay.dynamic.
 data.mapping.service.persistence.DDMStructureVersionPersistence";uses
 :="com.liferay.dynamic.data.mapping.service.persistence",osgi.service
 ;objectClass:List<String>="com.liferay.dynamic.data.mapping.service.p
 ersistence.DDMTemplateFinder";uses:="com.liferay.dynamic.data.mapping
 .service.persistence",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.service.persistence.DDMTemplateLinkPersisten
 ce";uses:="com.liferay.dynamic.data.mapping.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.dynamic.data.mapping.s
 ervice.persistence.DDMTemplatePersistence";uses:="com.liferay.dynamic
 .data.mapping.service.persistence",osgi.service;objectClass:List<Stri
 ng>="com.liferay.dynamic.data.mapping.service.persistence.DDMTemplate
 VersionPersistence";uses:="com.liferay.dynamic.data.mapping.service.p
 ersistence",osgi.service;objectClass:List<String>="com.liferay.dynami
 c.data.mapping.storage.DDMStorageAdapter";uses:="com.liferay.dynamic.
 data.mapping.storage",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.storage.DDMStorageAdapterRegistry";uses:="co
 m.liferay.dynamic.data.mapping.storage",osgi.service;objectClass:List
 <String>="com.liferay.dynamic.data.mapping.storage.DDMStorageEngineMa
 nager";uses:="com.liferay.dynamic.data.mapping.storage",osgi.service;
 objectClass:List<String>="com.liferay.dynamic.data.mapping.storage.St
 orageAdapter";uses:="com.liferay.dynamic.data.mapping.storage",osgi.s
 ervice;objectClass:List<String>="com.liferay.dynamic.data.mapping.sto
 rage.StorageAdapterRegistry";uses:="com.liferay.dynamic.data.mapping.
 storage",osgi.service;objectClass:List<String>="com.liferay.dynamic.d
 ata.mapping.storage.StorageEngine";uses:="com.liferay.dynamic.data.ma
 pping.storage",osgi.service;objectClass:List<String>="com.liferay.dyn
 amic.data.mapping.util.DDM";uses:="com.liferay.dynamic.data.mapping.u
 til",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.
 mapping.util.DDMBeanTranslator";uses:="com.liferay.dynamic.data.mappi
 ng.util",osgi.service;objectClass:List<String>="com.liferay.dynamic.d
 ata.mapping.util.DDMDataDefinitionConverter";uses:="com.liferay.dynam
 ic.data.mapping.util",osgi.service;objectClass:List<String>="com.life
 ray.dynamic.data.mapping.util.DDMFormValuesMerger";uses:="com.liferay
 .dynamic.data.mapping.util",osgi.service;objectClass:List<String>="co
 m.liferay.dynamic.data.mapping.util.DDMFormValuesToFieldsConverter";u
 ses:="com.liferay.dynamic.data.mapping.util",osgi.service;objectClass
 :List<String>="com.liferay.dynamic.data.mapping.util.DDMFormValuesToM
 apConverter";uses:="com.liferay.dynamic.data.mapping.util",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.util.DD
 MIndexer";uses:="com.liferay.dynamic.data.mapping.util",osgi.service;
 objectClass:List<String>="com.liferay.dynamic.data.mapping.util.DDMSt
 ructurePermissionSupport";uses:="com.liferay.dynamic.data.mapping.uti
 l",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.ma
 pping.util.DDMTemplateHelper";uses:="com.liferay.dynamic.data.mapping
 .util",osgi.service;objectClass:List<String>="com.liferay.dynamic.dat
 a.mapping.util.DDMXML";uses:="com.liferay.dynamic.data.mapping.util",
 osgi.service;objectClass:List<String>="com.liferay.dynamic.data.mappi
 ng.util.DefaultDDMStructureHelper";uses:="com.liferay.dynamic.data.ma
 pping.util",osgi.service;objectClass:List<String>="com.liferay.dynami
 c.data.mapping.util.FieldsToDDMFormValuesConverter";uses:="com.lifera
 y.dynamic.data.mapping.util",osgi.service;objectClass:List<String>="c
 om.liferay.dynamic.data.mapping.webdav.DDMWebDAV";uses:="com.liferay.
 dynamic.data.mapping.webdav",osgi.service;objectClass:List<String>="c
 om.liferay.exportimport.content.processor.ExportImportContentProcesso
 r";uses:="com.liferay.exportimport.content.processor",osgi.service;ob
 jectClass:List<String>="com.liferay.exportimport.kernel.lar.StagedMod
 elDataHandler";uses:="com.liferay.exportimport.kernel.lar",osgi.servi
 ce;objectClass:List<String>="com.liferay.exportimport.staged.model.re
 pository.StagedModelRepository";uses:="com.liferay.exportimport.stage
 d.model.repository",osgi.service;objectClass:List<String>="com.lifera
 y.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;
 objectClass:List<String>="com.liferay.portal.instance.lifecycle.Porta
 lInstanceLifecycleListener";uses:="com.liferay.portal.instance.lifecy
 cle",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .dao.orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.kernel.mes
 saging.MessageListener";uses:="com.liferay.portal.kernel.messaging",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.model
 .ModelListener";uses:="com.liferay.portal.kernel.model",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.security.permissi
 on.PermissionUpdateHandler";uses:="com.liferay.portal.kernel.security
 .permission",osgi.service;objectClass:List<String>="com.liferay.porta
 l.kernel.security.permission.resource.ModelResourcePermission";uses:=
 "com.liferay.portal.kernel.security.permission.resource",osgi.service
 ;objectClass:List<String>="com.liferay.portal.kernel.security.permiss
 ion.resource.PortletResourcePermission";uses:="com.liferay.portal.ker
 nel.security.permission.resource",osgi.service;objectClass:List<Strin
 g>="com.liferay.portal.kernel.settings.definition.ConfigurationPidMap
 ping";uses:="com.liferay.portal.kernel.settings.definition",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.template.Temp
 lateHandlerRegistry";uses:="com.liferay.portal.kernel.template",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.workflow.
 WorkflowHandler";uses:="com.liferay.portal.kernel.workflow",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.search.permission.Se
 archPermissionFilterContributor";uses:="com.liferay.portal.search.per
 mission",osgi.service;objectClass:List<String>="com.liferay.portal.se
 arch.spi.model.index.contributor.ModelDocumentContributor";uses:="com
 .liferay.portal.search.spi.model.index.contributor",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.search.spi.model.index.contr
 ibutor.ModelIndexerWriterContributor";uses:="com.liferay.portal.searc
 h.spi.model.index.contributor",osgi.service;objectClass:List<String>=
 "com.liferay.portal.search.spi.model.query.contributor.KeywordQueryCo
 ntributor";uses:="com.liferay.portal.search.spi.model.query.contribut
 or",osgi.service;objectClass:List<String>="com.liferay.portal.search.
 spi.model.query.contributor.ModelPreFilterContributor";uses:="com.lif
 eray.portal.search.spi.model.query.contributor",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.search.spi.model.result.contribu
 tor.ModelSummaryContributor";uses:="com.liferay.portal.search.spi.mod
 el.result.contributor",osgi.service;objectClass:List<String>="com.lif
 eray.portal.template.TemplateResourceParser";uses:="com.liferay.porta
 l.template",osgi.service;objectClass:List<String>="com.liferay.portal
 .upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.u
 pgrade.registry",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.verify.VerifyProcess";uses:="com.liferay.portal.verify",osgi.se
 rvice;objectClass:List<String>="com.liferay.xstream.configurator.XStr
 eamConfigurator";uses:="com.liferay.xstream.configurator",osgi.servic
 e;objectClass:List<String>="com.liferay.dynamic.data.mapping.service.
 DDMContentLocalService",osgi.service;objectClass:List<String>="com.li
 feray.dynamic.data.mapping.service.DDMDataProviderInstanceLinkLocalSe
 rvice",osgi.service;objectClass:List<String>="com.liferay.dynamic.dat
 a.mapping.service.DDMDataProviderInstanceLocalService",osgi.service;o
 bjectClass:List<String>="com.liferay.dynamic.data.mapping.service.DDM
 DataProviderInstanceService",osgi.service;objectClass:List<String>="c
 om.liferay.dynamic.data.mapping.service.DDMFieldLocalService",osgi.se
 rvice;objectClass:List<String>="com.liferay.dynamic.data.mapping.serv
 ice.DDMFormInstanceLocalService",osgi.service;objectClass:List<String
 >="com.liferay.dynamic.data.mapping.service.DDMFormInstanceRecordLoca
 lService",osgi.service;objectClass:List<String>="com.liferay.dynamic.
 data.mapping.service.DDMFormInstanceRecordService",osgi.service;objec
 tClass:List<String>="com.liferay.dynamic.data.mapping.service.DDMForm
 InstanceRecordVersionLocalService",osgi.service;objectClass:List<Stri
 ng>="com.liferay.dynamic.data.mapping.service.DDMFormInstanceRecordVe
 rsionService",osgi.service;objectClass:List<String>="com.liferay.dyna
 mic.data.mapping.service.DDMFormInstanceReportLocalService",osgi.serv
 ice;objectClass:List<String>="com.liferay.dynamic.data.mapping.servic
 e.DDMFormInstanceService",osgi.service;objectClass:List<String>="com.
 liferay.dynamic.data.mapping.service.DDMFormInstanceVersionLocalServi
 ce",osgi.service;objectClass:List<String>="com.liferay.dynamic.data.m
 apping.service.DDMFormInstanceVersionService",osgi.service;objectClas
 s:List<String>="com.liferay.dynamic.data.mapping.service.DDMStorageLi
 nkLocalService",osgi.service;objectClass:List<String>="com.liferay.dy
 namic.data.mapping.service.DDMStructureLayoutLocalService",osgi.servi
 ce;objectClass:List<String>="com.liferay.dynamic.data.mapping.service
 .DDMStructureLayoutService",osgi.service;objectClass:List<String>="co
 m.liferay.dynamic.data.mapping.service.DDMStructureLinkLocalService",
 osgi.service;objectClass:List<String>="com.liferay.dynamic.data.mappi
 ng.service.DDMStructureLocalService",osgi.service;objectClass:List<St
 ring>="com.liferay.dynamic.data.mapping.service.DDMStructureService",
 osgi.service;objectClass:List<String>="com.liferay.dynamic.data.mappi
 ng.service.DDMStructureVersionLocalService",osgi.service;objectClass:
 List<String>="com.liferay.dynamic.data.mapping.service.DDMStructureVe
 rsionService",osgi.service;objectClass:List<String>="com.liferay.dyna
 mic.data.mapping.service.DDMTemplateLinkLocalService",osgi.service;ob
 jectClass:List<String>="com.liferay.dynamic.data.mapping.service.DDMT
 emplateLocalService",osgi.service;objectClass:List<String>="com.lifer
 ay.dynamic.data.mapping.service.DDMTemplateService",osgi.service;obje
 ctClass:List<String>="com.liferay.dynamic.data.mapping.service.DDMTem
 plateVersionLocalService",osgi.service;objectClass:List<String>="com.
 liferay.dynamic.data.mapping.service.DDMTemplateVersionService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.counter.kernel.service.Counter
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.data.engine.service.DEDataDefinitionFieldLinkLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.de
 pot.group.provider.SiteConnectedGroupGroupProvider)";effective:=activ
 e;resolution:=optional,osgi.service;filter:="(objectClass=com.liferay
 .document.library.kernel.service.DLAppLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.ker
 nel.service.DLAppService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.document.library.kernel.service.DLFileEntryLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLFileEntryTypeLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.doc
 ument.library.kernel.service.DLFileVersionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .kernel.service.DLFolderLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.document.library.kernel.store.Stor
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 document.library.util.DLURLHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.dynamic.data.mapping.form.field.type.
 DDMFormFieldTypeServicesRegistry)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.dynamic.data.mapping.info.field.conver
 ter.DDMFormFieldInfoFieldConverter)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.internal.backgr
 ound.task.DDMStructureIndexerRegistry)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.internal.dat
 a.provider.configuration.activator.DDMDataProviderConfigurationActiva
 tor)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.internal.notification.DDMFormEmailNotification
 Sender)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.internal.petra.executor.DDMFormInstanceRepo
 rtPortalExecutor)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.dynamic.data.mapping.internal.search.DDMFormInstanceRe
 cordBatchReindexer)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.dynamic.data.mapping.internal.search.helper.DDMSearc
 hHelper)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.dynamic.data.mapping.internal.security.permission.support.DDMPe
 rmissionSupportRegistry)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.dynamic.data.mapping.internal.security.permissi
 on.support.helper.DDMPermissionSupportHelper)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.dynamic.data.mapping.inter
 nal.util.ResourceBundleLoaderProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.io.DDMFormDe
 serializer)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.io.DDMFormLayoutDeserializer)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data
 .mapping.io.DDMFormLayoutSerializer)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.dynamic.data.mapping.io.DDMFormSeri
 alizer)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.io.DDMFormValuesDeserializer)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.map
 ping.io.DDMFormValuesSerializer)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.dynamic.data.mapping.io.exporter.DDMFor
 mInstanceRecordWriterRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.dynamic.data.mapping.render.DDMFormFieldR
 enderer)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.dynamic.data.mapping.report.DDMFormFieldTypeReportProcessorRegi
 stry)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.security.permission.DDMPermissionSupport)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.service.DDMDataProviderInstanceLinkLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.
 data.mapping.service.DDMDataProviderInstanceLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.service.DDMFieldLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMFor
 mInstanceLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.dynamic.data.mapping.service.DDMFormInstanceRecor
 dLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.dynamic.data.mapping.service.DDMFormInstanceRecordVersion
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.service.DDMFormInstanceReportLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.service.DDMFormInstanceVersionLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.service.DDMStorageLinkLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.service.DDMStructureLayoutLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.D
 DMStructureLinkLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.dynamic.data.mapping.service.DDMStructureLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.service.DDMStructureService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.
 mapping.service.DDMStructureVersionLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.se
 rvice.DDMTemplateLinkLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMTempl
 ateLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.mapping.service.DDMTemplateService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.d
 ata.mapping.service.DDMTemplateVersionLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping
 .service.persistence.DDMContentPersistence)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service
 .persistence.DDMDataProviderInstanceFinder)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service
 .persistence.DDMDataProviderInstanceLinkPersistence)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.service.persistence.DDMDataProviderInstancePersistence)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.service.persistence.DDMFieldAttributePersistence)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.service.persistence.DDMFieldPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.serv
 ice.persistence.DDMFormInstanceFinder)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.pers
 istence.DDMFormInstancePersistence)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.service.persist
 ence.DDMFormInstanceRecordFinder)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.dynamic.data.mapping.service.persisten
 ce.DDMFormInstanceRecordPersistence)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.dynamic.data.mapping.service.persis
 tence.DDMFormInstanceRecordVersionPersistence)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.serv
 ice.persistence.DDMFormInstanceReportPersistence)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.s
 ervice.persistence.DDMFormInstanceVersionPersistence)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappi
 ng.service.persistence.DDMStorageLinkPersistence)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.s
 ervice.persistence.DDMStructureLayoutPersistence)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.s
 ervice.persistence.DDMStructureLinkFinder)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.
 persistence.DDMStructureLinkPersistence)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.pe
 rsistence.DDMStructurePersistence)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.dynamic.data.mapping.service.persiste
 nce.DDMStructureVersionPersistence)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.service.persist
 ence.DDMTemplateFinder)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.dynamic.data.mapping.service.persistence.DDMTemp
 lateLinkPersistence)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.dynamic.data.mapping.service.persistence.DDMTemplat
 ePersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.service.persistence.DDMTemplateVersio
 nPersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.dynamic.data.mapping.storage.DDMStorageAdapter)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.
 mapping.storage.DDMStorageAdapterRegistry)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.storage.
 StorageAdapter)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.dynamic.data.mapping.storage.StorageAdapterRegistry)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.storage.StorageEngine)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDM)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.util.DDMBeanTranslator)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMData
 DefinitionConverter)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.dynamic.data.mapping.util.DDMFormValuesToFieldsConv
 erter)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.dynamic.data.mapping.util.DDMIndexer)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMX
 ML)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .dynamic.data.mapping.util.FieldsToDDMFormValuesConverter)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.
 mapping.validator.DDMFormLayoutValidator)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.dynamic.data.mapping.validator
 .DDMFormValidator)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.dynamic.data.mapping.validator.DDMFormValuesValidator
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.e
 xpando.kernel.service.ExpandoRowLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.expando.kernel.service.Exp
 andoTableLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.expando.kernel.service.ExpandoValueLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.exp
 ortimport.content.processor.ExportImportContentProcessor)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.exportimport.k
 ernel.staging.permission.StagingPermission)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.exportimport.staged.model.re
 pository.StagedModelRepository)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.exportimport.staged.model.repository.Sta
 gedModelRepositoryHelper)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.journal.service.JournalArticleLocalService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.mail.
 kernel.service.MailService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.petra.executor.PortalExecutorManager)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.da
 o.orm.custom.sql.CustomSQL)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.configuration.Configuration)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.dao.orm.EntityCache)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.dao.orm.SessionFactory)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 language.Language)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.messaging.DestinationFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.messaging.MessageBus)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.configuration.Configuration
 Provider)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.search.IndexerRegistry)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.security.perm
 ission.InlineSQLHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.security.permission.ResourceAction
 s)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.security.permission.resource.ModelResourcePermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.security.permission.resource.PortletResourcePermission)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.ClassNameLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.GroupLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Im
 ageLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.kernel.service.LayoutLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 rvice.LayoutService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.ResourceActionLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ResourceLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.ResourcePe
 rmissionLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.UserLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.WorkflowDefinitionLinkLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.Workf
 lowInstanceLinkLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.persistence.change.tr
 acking.helper.CTPersistenceHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.util.Html)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.u
 til.HtmlParser)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.util.Localization)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.util.PrefsProps)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.uuid.PortalUUID)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.x
 ml.SAXReader)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.search.batch.DynamicQueryBatchIndexingActionableFac
 tory)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.engine.SearchEngineInformation)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.search.indexer.I
 ndexerDocumentBuilder)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.search.indexer.IndexerWriter)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.search.q
 uery.Queries)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.search.query.QueryHelper)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.search.sort.SortBuild
 erFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.sort.Sorts)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.search.spi.model.index.contribu
 tor.ModelIndexerWriterContributor)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.search.spi.model.query.contrib
 utor.ModelPreFilterContributor)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.search.spi.model.registrar.ModelS
 earchRegistrarHelper)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.spi.model.result.contributor.ModelSu
 mmaryContributor)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.workflow.kaleo.service.KaleoDefinitionLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.staging.model.listener.StagingModelListener)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.view.count.service.ViewCo
 untEntryLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=javax.sql.DataSource)";effective:=active,osgi.extender;filter:
 ="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0))
 )",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=
 JavaServlet)(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet
 ;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filt
 er:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.dynamic.data.mapping.internal.
 DDMStructureLinkManagerImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.DDMStructureManagerImpl.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.internal.StorageEngineManagerImpl.xml,OSGI-INF/com.lif
 eray.dynamic.data.mapping.internal.background.task.DDMStructureIndexe
 rRegistry.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.chan
 ge.tracking.spi.reference.DDMContentTableReferenceDefinition.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.internal.change.tracking.spi.re
 ference.DDMDataProviderInstanceLinkTableReferenceDefinition.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.internal.change.tracking.spi.ref
 erence.DDMDataProviderInstanceTableReferenceDefinition.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.internal.change.tracking.spi.referenc
 e.DDMFieldAttributeTableReferenceDefinition.xml,OSGI-INF/com.liferay.
 dynamic.data.mapping.internal.change.tracking.spi.reference.DDMFieldT
 ableReferenceDefinition.xml,OSGI-INF/com.liferay.dynamic.data.mapping
 .internal.change.tracking.spi.reference.DDMFormInstanceRecordTableRef
 erenceDefinition.xml,OSGI-INF/com.liferay.dynamic.data.mapping.intern
 al.change.tracking.spi.reference.DDMFormInstanceRecordVersionTableRef
 erenceDefinition.xml,OSGI-INF/com.liferay.dynamic.data.mapping.intern
 al.change.tracking.spi.reference.DDMFormInstanceReportTableReferenceD
 efinition.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.chan
 ge.tracking.spi.reference.DDMFormInstanceTableReferenceDefinition.xml
 ,OSGI-INF/com.liferay.dynamic.data.mapping.internal.change.tracking.s
 pi.reference.DDMFormInstanceVersionTableReferenceDefinition.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.internal.change.tracking.spi.ref
 erence.DDMStorageLinkTableReferenceDefinition.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.internal.change.tracking.spi.reference.DDMStru
 ctureLayoutTableReferenceDefinition.xml,OSGI-INF/com.liferay.dynamic.
 data.mapping.internal.change.tracking.spi.reference.DDMStructureLinkT
 ableReferenceDefinition.xml,OSGI-INF/com.liferay.dynamic.data.mapping
 .internal.change.tracking.spi.reference.DDMStructureTableReferenceDef
 inition.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.change
 .tracking.spi.reference.DDMStructureVersionTableReferenceDefinition.x
 ml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.change.tracking
 .spi.reference.DDMTemplateLinkTableReferenceDefinition.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.internal.change.tracking.spi.referenc
 e.DDMTemplateTableReferenceDefinition.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.internal.change.tracking.spi.reference.DDMTemplateVers
 ionTableReferenceDefinition.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.configuration.definition.DDMGroupServiceConfigurationPi
 dMapping.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.data.
 provider.configuration.activator.DDMDataProviderConfigurationActivato
 r.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.exportimport
 .content.processor.DDMFormValuesExportImportContentProcessor.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.internal.exportimport.data.hand
 ler.DDMFormInstanceRecordStagedModelDataHandler.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.internal.exportimport.data.handler.DDMFormIn
 stanceStagedModelDataHandler.xml,OSGI-INF/com.liferay.dynamic.data.ma
 pping.internal.exportimport.staged.model.repository.DDMFormInstanceRe
 cordStagedModelRepository.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.internal.exportimport.staged.model.repository.DDMFormInstanceStage
 dModelRepository.xml,OSGI-INF/com.liferay.dynamic.data.mapping.intern
 al.form.page.change.DDMFormPageChangeRegistryImpl.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.internal.info.display.field.DDMFormValuesI
 nfoDisplayFieldProviderImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.info.item.provider.DDMFormValuesInfoFieldValuesProvider
 Impl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.instance.
 lifecycle.DDMCleanUpPortalInstanceLifecycleListener.xml,OSGI-INF/com.
 liferay.dynamic.data.mapping.internal.io.DDMFormFieldTypesJSONSeriali
 zer.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.io.DDMForm
 JSONDeserializer.xml,OSGI-INF/com.liferay.dynamic.data.mapping.intern
 al.io.DDMFormJSONSerializer.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.io.DDMFormLayoutJSONDeserializer.xml,OSGI-INF/com.lifer
 ay.dynamic.data.mapping.internal.io.DDMFormLayoutJSONSerializer.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.internal.io.DDMFormValuesDes
 erializerTrackerImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.in
 ternal.io.DDMFormValuesJSONDeserializer.xml,OSGI-INF/com.liferay.dyna
 mic.data.mapping.internal.io.DDMFormValuesJSONSerializer.xml,OSGI-INF
 /com.liferay.dynamic.data.mapping.internal.io.DDMFormXSDDeserializer.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.io.exporter.DD
 MFormInstanceRecordCSVWriter.xml,OSGI-INF/com.liferay.dynamic.data.ma
 pping.internal.io.exporter.DDMFormInstanceRecordExporterImpl.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.internal.io.exporter.DDMFormIns
 tanceRecordJSONWriter.xml,OSGI-INF/com.liferay.dynamic.data.mapping.i
 nternal.io.exporter.DDMFormInstanceRecordWriterRegistryImpl.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.internal.io.exporter.DDMFormInst
 anceRecordXLSWriter.xml,OSGI-INF/com.liferay.dynamic.data.mapping.int
 ernal.io.exporter.DDMFormInstanceRecordXMLWriter.xml,OSGI-INF/com.lif
 eray.dynamic.data.mapping.internal.messaging.DDMStructureReindexConfi
 gurator.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.messag
 ing.DDMStructureReindexMessageListener.xml,OSGI-INF/com.liferay.dynam
 ic.data.mapping.internal.model.listener.DDMFormInstanceModelListener.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.model.listener
 .DDMFormInstanceRecordModelListener.xml,OSGI-INF/com.liferay.dynamic.
 data.mapping.internal.model.listener.DDMFormInstanceRecordStagingMode
 lListener.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.mode
 l.listener.DDMFormInstanceRecordVersionModelListener.xml,OSGI-INF/com
 .liferay.dynamic.data.mapping.internal.model.listener.DDMFormInstance
 StagingModelListener.xml,OSGI-INF/com.liferay.dynamic.data.mapping.in
 ternal.notification.DDMFormEmailNotificationSender.xml,OSGI-INF/com.l
 iferay.dynamic.data.mapping.internal.petra.executor.DDMFormInstanceRe
 portPortalExecutor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.inte
 rnal.render.DDMFormFieldFreeMarkerRenderer.xml,OSGI-INF/com.liferay.d
 ynamic.data.mapping.internal.render.DDMFormFieldRendererRegistryImpl.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.render.DDMForm
 FieldValueRendererRegistryImpl.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.internal.report.CheckboxDDMFormFieldTypeReportProcessor.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.internal.report.CheckboxMult
 ipleDDMFormFieldTypeReportProcessor.xml,OSGI-INF/com.liferay.dynamic.
 data.mapping.internal.report.DDMFormFieldTypeReportProcessorRegistryI
 mpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.report.Gri
 dDDMFormFieldTypeReportProcessor.xml,OSGI-INF/com.liferay.dynamic.dat
 a.mapping.internal.report.NumericDDMFormFieldTypeReportProcessor.xml,
 OSGI-INF/com.liferay.dynamic.data.mapping.internal.report.RadioDDMFor
 mFieldTypeReportProcessor.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.internal.report.TextDDMFormFieldTypeReportProcessor.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.internal.search.DDMFormInstanceRecord
 BatchReindexerImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.inte
 rnal.search.DDMFormInstanceRecordSearchRegistrar.xml,OSGI-INF/com.lif
 eray.dynamic.data.mapping.internal.search.DDMFormInstanceSearchRegist
 rar.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.DDM
 StructureLayoutSearchRegistrar.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.internal.search.DDMStructureSearchRegistrar.xml,OSGI-INF/com.
 liferay.dynamic.data.mapping.internal.search.DDMTemplateSearchRegistr
 ar.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.help
 er.DDMSearchHelper.xml,OSGI-INF/com.liferay.dynamic.data.mapping.inte
 rnal.search.permission.DDMFormInstanceRecordSearchPermissionFilterCon
 tributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.searc
 h.spi.model.index.contributor.DDMFormInstanceModelIndexerWriterContri
 butor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.s
 pi.model.index.contributor.DDMFormInstanceRecordModelDocumentContribu
 tor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.spi
 .model.index.contributor.DDMFormInstanceRecordModelIndexerWriterContr
 ibutor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.
 spi.model.index.contributor.DDMStructureLayoutModelDocumentContributo
 r.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.spi.m
 odel.index.contributor.DDMStructureLayoutModelIndexerWriterContributo
 r.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.spi.m
 odel.index.contributor.DDMStructureModelDocumentContributor.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.internal.search.spi.model.index.
 contributor.DDMStructureModelIndexerWriterContributor.xml,OSGI-INF/co
 m.liferay.dynamic.data.mapping.internal.search.spi.model.index.contri
 butor.DDMTemplateModelDocumentContributor.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.internal.search.spi.model.index.contributor.DDMTem
 plateModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.dynamic.d
 ata.mapping.internal.search.spi.model.query.contributor.DDMFormInstan
 ceRecordKeywordQueryContributor.xml,OSGI-INF/com.liferay.dynamic.data
 .mapping.internal.search.spi.model.query.contributor.DDMFormInstanceR
 ecordModelPreFilterContributor.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.internal.search.spi.model.query.contributor.DDMStructureKeywo
 rdQueryContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.inte
 rnal.search.spi.model.query.contributor.DDMStructureLayoutKeywordQuer
 yContributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.s
 earch.spi.model.query.contributor.DDMStructureLayoutModelPreFilterCon
 tributor.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.searc
 h.spi.model.query.contributor.DDMStructureModelPreFilterContributor.x
 ml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.search.spi.mode
 l.query.contributor.DDMTemplateKeywordQueryContributor.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.internal.search.spi.model.query.contr
 ibutor.DDMTemplateModelPreFilterContributor.xml,OSGI-INF/com.liferay.
 dynamic.data.mapping.internal.search.spi.model.result.contributor.DDM
 FormInstanceRecordModelSummaryContributor.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.internal.security.permission.DDMStructurePermissio
 nUpdateHandler.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal
 .security.permission.DDMTemplatePermissionUpdateHandler.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.internal.security.permission.resourc
 e.DDMDataProviderInstanceModelResourcePermissionWrapper.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.internal.security.permission.resourc
 e.DDMFormInstanceModelResourcePermissionWrapper.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.internal.security.permission.resource.DDMFor
 mInstanceRecordModelResourcePermissionWrapper.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.internal.security.permission.resource.DDMFormP
 ortletResourcePermissionWrapper.xml,OSGI-INF/com.liferay.dynamic.data
 .mapping.internal.security.permission.resource.DDMStructureModelResou
 rcePermission.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.
 security.permission.resource.DDMTemplateModelResourcePermission.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.internal.security.permission
 .support.DDMFormDDMPermissionSupport.xml,OSGI-INF/com.liferay.dynamic
 .data.mapping.internal.security.permission.support.DDMPermissionSuppo
 rtImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.securit
 y.permission.support.DDMPermissionSupportRegistry.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.internal.security.permission.support.helpe
 r.DDMPermissionSupportHelper.xml,OSGI-INF/com.liferay.dynamic.data.ma
 pping.internal.storage.DDMStorageAdapterRegistryImpl.xml,OSGI-INF/com
 .liferay.dynamic.data.mapping.internal.storage.DDMStorageEngineManage
 rImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.storage.
 DefaultDDMStorageAdapter.xml,OSGI-INF/com.liferay.dynamic.data.mappin
 g.internal.storage.DefaultStorageAdapter.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.internal.storage.FieldRendererRegistrar.xml,OSGI-IN
 F/com.liferay.dynamic.data.mapping.internal.storage.JSONDDMStorageAda
 pter.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.storage.J
 SONStorageAdapter.xml,OSGI-INF/com.liferay.dynamic.data.mapping.inter
 nal.storage.StorageAdapterRegistryImpl.xml,OSGI-INF/com.liferay.dynam
 ic.data.mapping.internal.storage.StorageEngineImpl.xml,OSGI-INF/com.l
 iferay.dynamic.data.mapping.internal.template.DDMTemplateResourcePars
 er.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.template.Te
 mplateHandlerRegistryImpl.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.internal.upgrade.registry.DDMServiceUpgradeStepRegistrator.xml,OSG
 I-INF/com.liferay.dynamic.data.mapping.internal.util.DDMBeanTranslato
 rImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.util.DDM
 DataDefinitionConverterImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.util.DDMFormValuesMergerImpl.xml,OSGI-INF/com.liferay.d
 ynamic.data.mapping.internal.util.DDMFormValuesToFieldsConverterImpl.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.util.DDMFormVa
 luesToMapConverterImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.
 internal.util.DDMImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.i
 nternal.util.DDMIndexerImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.internal.util.DDMTemplateHelperImpl.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.internal.util.DDMXMLImpl.xml,OSGI-INF/com.liferay.d
 ynamic.data.mapping.internal.util.DefaultDDMStructureHelperImpl.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.internal.util.FieldsToDDMFor
 mValuesConverterImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.in
 ternal.util.ResourceBundleLoaderProvider.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.internal.webdav.DDMWebDAVImpl.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.internal.workflow.DDMFormInstanceRecordWorkf
 lowHandler.xml,OSGI-INF/com.liferay.dynamic.data.mapping.internal.xst
 ream.configurator.DynamicDataMappingXStreamConfigurator.xml,OSGI-INF/
 com.liferay.dynamic.data.mapping.service.impl.DDMContentLocalServiceI
 mpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMDat
 aProviderInstanceLinkLocalServiceImpl.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.service.impl.DDMDataProviderInstanceLocalServiceImpl.x
 ml,OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMDataProv
 iderInstanceServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping
 .service.impl.DDMFieldAttributeCTServiceImpl.xml,OSGI-INF/com.liferay
 .dynamic.data.mapping.service.impl.DDMFieldLocalServiceImpl.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.service.impl.DDMFormInstanceLoca
 lServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.im
 pl.DDMFormInstanceRecordLocalServiceImpl.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.service.impl.DDMFormInstanceRecordServiceImpl.xml,O
 SGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMFormInstance
 RecordVersionLocalServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.m
 apping.service.impl.DDMFormInstanceRecordVersionServiceImpl.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.service.impl.DDMFormInstanceRepo
 rtLocalServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.serv
 ice.impl.DDMFormInstanceServiceImpl.xml,OSGI-INF/com.liferay.dynamic.
 data.mapping.service.impl.DDMFormInstanceVersionLocalServiceImpl.xml,
 OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMFormInstanc
 eVersionServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.ser
 vice.impl.DDMStorageLinkLocalServiceImpl.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.service.impl.DDMStructureLayoutLocalServiceImpl.xml
 ,OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMStructureL
 ayoutServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.servic
 e.impl.DDMStructureLinkLocalServiceImpl.xml,OSGI-INF/com.liferay.dyna
 mic.data.mapping.service.impl.DDMStructureLocalServiceImpl.xml,OSGI-I
 NF/com.liferay.dynamic.data.mapping.service.impl.DDMStructureServiceI
 mpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMStr
 uctureVersionLocalServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.m
 apping.service.impl.DDMStructureVersionServiceImpl.xml,OSGI-INF/com.l
 iferay.dynamic.data.mapping.service.impl.DDMTemplateLinkLocalServiceI
 mpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.impl.DDMTem
 plateLocalServiceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.s
 ervice.impl.DDMTemplateServiceImpl.xml,OSGI-INF/com.liferay.dynamic.d
 ata.mapping.service.impl.DDMTemplateVersionLocalServiceImpl.xml,OSGI-
 INF/com.liferay.dynamic.data.mapping.service.impl.DDMTemplateVersionS
 erviceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.pers
 istence.impl.DDMContentModelArgumentsResolver.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.service.persistence.impl.DDMContentPersistence
 Impl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistenc
 e.impl.DDMDataProviderInstanceFinderImpl.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.service.persistence.impl.DDMDataProviderInstanceLin
 kModelArgumentsResolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping
 .service.persistence.impl.DDMDataProviderInstanceLinkPersistenceImpl.
 xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence.imp
 l.DDMDataProviderInstanceModelArgumentsResolver.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.service.persistence.impl.DDMDataProviderInst
 ancePersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.ser
 vice.persistence.impl.DDMFieldAttributeModelArgumentsResolver.xml,OSG
 I-INF/com.liferay.dynamic.data.mapping.service.persistence.impl.DDMFi
 eldAttributePersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.service.persistence.impl.DDMFieldModelArgumentsResolver.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.service.persistence.impl.DDMFie
 ldPersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.servi
 ce.persistence.impl.DDMFormInstanceFinderImpl.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.service.persistence.impl.DDMFormInstanceModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping.servic
 e.persistence.impl.DDMFormInstancePersistenceImpl.xml,OSGI-INF/com.li
 feray.dynamic.data.mapping.service.persistence.impl.DDMFormInstanceRe
 cordFinderImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.
 persistence.impl.DDMFormInstanceRecordModelArgumentsResolver.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.service.persistence.impl.DDMFor
 mInstanceRecordPersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.
 mapping.service.persistence.impl.DDMFormInstanceRecordVersionModelArg
 umentsResolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.
 persistence.impl.DDMFormInstanceRecordVersionPersistenceImpl.xml,OSGI
 -INF/com.liferay.dynamic.data.mapping.service.persistence.impl.DDMFor
 mInstanceReportModelArgumentsResolver.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.service.persistence.impl.DDMFormInstanceReportPersiste
 nceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persist
 ence.impl.DDMFormInstanceVersionModelArgumentsResolver.xml,OSGI-INF/c
 om.liferay.dynamic.data.mapping.service.persistence.impl.DDMFormInsta
 nceVersionPersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mappi
 ng.service.persistence.impl.DDMStorageLinkModelArgumentsResolver.xml,
 OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence.impl.DD
 MStorageLinkPersistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.service.persistence.impl.DDMStructureLayoutModelArgumentsResolve
 r.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence.i
 mpl.DDMStructureLayoutPersistenceImpl.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.service.persistence.impl.DDMStructureLinkFinderImpl.xm
 l,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence.impl.
 DDMStructureLinkModelArgumentsResolver.xml,OSGI-INF/com.liferay.dynam
 ic.data.mapping.service.persistence.impl.DDMStructureLinkPersistenceI
 mpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence
 .impl.DDMStructureModelArgumentsResolver.xml,OSGI-INF/com.liferay.dyn
 amic.data.mapping.service.persistence.impl.DDMStructurePersistenceImp
 l.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persistence.i
 mpl.DDMStructureVersionModelArgumentsResolver.xml,OSGI-INF/com.lifera
 y.dynamic.data.mapping.service.persistence.impl.DDMStructureVersionPe
 rsistenceImpl.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.p
 ersistence.impl.DDMTemplateFinderImpl.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.service.persistence.impl.DDMTemplateLinkModelArguments
 Resolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persis
 tence.impl.DDMTemplateLinkPersistenceImpl.xml,OSGI-INF/com.liferay.dy
 namic.data.mapping.service.persistence.impl.DDMTemplateModelArguments
 Resolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.persis
 tence.impl.DDMTemplatePersistenceImpl.xml,OSGI-INF/com.liferay.dynami
 c.data.mapping.service.persistence.impl.DDMTemplateVersionModelArgume
 ntsResolver.xml,OSGI-INF/com.liferay.dynamic.data.mapping.service.per
 sistence.impl.DDMTemplateVersionPersistenceImpl.xml,OSGI-INF/com.life
 ray.dynamic.data.mapping.verify.DDMServiceVerifyProcess.xml
Tool: Bnd-4.3.0.201909301554

